busvoodoo_oled.h File Reference

library to show BusVoodoo mode information on SSD1306 OLED display: name, activity, pinout (API) More...

Go to the source code of this file.

## Functions

void | busvoodoo_oled_setup (void)
| setup OLED display
void | busvoodoo_oled_clear (void)
| clear display buffer More...
void | busvoodoo_oled_text_pos (uint8_t column, uint8_t row, enum font_name font_name, const char *text)
| draw text in display buffer More...
void | busvoodoo_oled_text_left (char *text)
| draw mode text on top (yellow) left side in display buffer More...
void | busvoodoo_oled_text_right (char *text)
| draw mode text on top (yellow) right side in display buffer More...
void | busvoodoo_oled_text_pinout (const char *pins[10], bool io_connector)
| draw pin names on bottom (blue) part in display buffer More...
void | busvoodoo_oled_update (void)
| update OLED display RAM with current display buffer

## Detailed Description

library to show BusVoodoo mode information on SSD1306 OLED display: name, activity, pinout (API)

Author
  King Kévin kingk.nosp@m.evin.nosp@m.@cuvo.nosp@m.odoo.nosp@m..info

Date
  2018

Note
  peripherals used: I2C I2C peripheral to communicate with the SSD1306 OLED

Definition in file busvoodoo_oled.h.

## Function Documentation

## busvoodoo_oled_clear()

void busvoodoo_oled_clear | ( | void |  | ) |

clear display buffer

Note
  update the display to clear it

Definition at line 57 of file busvoodoo_oled.c.

## busvoodoo_oled_text_left()

void busvoodoo_oled_text_left | ( | char * | text | ) |

draw mode text on top (yellow) left side in display buffer

Warning
  this clears the top line, including the text on the right side

Note
  update the display to display the text

Parameters

  [in] | text | text to display on top left side of screen

Definition at line 118 of file busvoodoo_oled.c.

## busvoodoo_oled_text_pinout()

void busvoodoo_oled_text_pinout | ( | const char * | pins[10],
|  | bool | io_connector
| ) |  |

draw pin names on bottom (blue) part in display buffer

Parameters

  [in] | pins | pin names
  [in] | io_connector | display I/O connector (true) or RS/CAN connector + top half of I/O connector (false)

Note
  update the display to display the text

Definition at line 148 of file busvoodoo_oled.c.

## busvoodoo_oled_text_pos()

void busvoodoo_oled_text_pos | ( | uint8_t | column,
|  | uint8_t | row,
|  | enum font_name | font_name,
|  | const char * | text
| ) |  |

draw text in display buffer

Parameters

  [in] | column | display column where to start drawing the text (0 is left)
  [in] | row | display row where to put the lower end of the characters (0 is top)
  [in] | font_name | name of the font to use to draw the text
  [in] | text | text string to draw

Definition at line 66 of file busvoodoo_oled.c.

## busvoodoo_oled_text_right()

void busvoodoo_oled_text_right | ( | char * | text | ) |

draw mode text on top (yellow) right side in display buffer

Warning
  this does not clear the top line, including the text on the right side

Note
  update the display to display the text

Parameters

  [in] | text | text to display on top right side of screen

Definition at line 133 of file busvoodoo_oled.c.